package me.mrletsplay.nojs.action;

import me.mrletsplay.simplehttpserver.http.request.urlencoded.UrlEncoded;

public class ActionEvent {

	private UrlEncoded data;
	private ActionResult result;

	public ActionEvent(UrlEncoded data) {
		this.data = data;
		this.result = ActionResult.refresh();
	}

	public String getAction() {
		return data.getFirst(Action.ACTION_NAME);
	}

	public String getData(String name) {
		return data.getFirst(name);
	}

	public void setResult(ActionResult result) {
		this.result = result != null ? result : ActionResult.refresh();
	}

	public ActionResult getResult() {
		return result;
	}

}
